Name:		luakit
# Upstream announces releases with dates and tarball links from github
Version:	2011.07.22.r1
Release:	1%{?dist}
Summary:	Micro-browser framework based on WebKit and GTK+

Group:		Applications/Internet
License:	GPLv3
URL:		http://luakit.org/
# From http://github.com/mason-larobina/luakit/tarball/2011.07.22-r1
Source0:	%{name}-%{version}.tar.gz

BuildRequires:	webkitgtk-devel lua-devel help2man desktop-file-utils unique-devel libsqlite3x-devel
Requires:	lua-filesystem wget

%description
luakit is a highly configurable, micro-browser framework based on the WebKit
web content engine and the GTK+ toolkit. It is very fast, extensible by Lua
and licensed under the GNU GPLv3 license.

It is primarily targeted at power users, developers and any people with too
much time on their hands who want to have fine-grained control over their web
browsers behaviour and interface.

%prep
%setup -q -n mason-larobina-luakit-b1fb7fa
sed -i "s|-ggdb -W -Wall -Wextra|%{optflags}|g" config.mk

%build
PREFIX=%{_prefix} make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix} make install
# Already available through %doc
rm -fr ${RPM_BUILD_ROOT}%{_datadir}/%{name}/docs
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_mandir}/man1/*
%dir %{_sysconfdir}/xdg/%{name}/
%config(noreplace) %{_sysconfdir}/xdg/%{name}/*
# README.md is virtually empty as of v.2010.09.24
%doc COPYING COPYING.GPLv3 AUTHORS PATCHES

%changelog
* Tue Aug 02 2011 Pierre Carrier <pierre@spotify.com> 2011.07.22.r1-1
- New release 2011.07.22-r1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.09.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Nov 03 2010 Pierre Carrier <prc@redhat.com> 2010.09.24-1
- Initial packaging
